<script lang="ts">
    import { createEventDispatcher } from 'svelte'

    export let value: string
    export let n: number = undefined
    export let unavailable = false
    export let ignored = false
    export let disabled = false

    const dispatch = createEventDispatcher()

    function onClick() {
        if (!disabled && !unavailable) {
            dispatch('click')
        }
    }
</script>

<span class="inline-block border border-grijs-4 bg-white mr-2 my-1 p-2 value inline-flex flex-row items-center"
      class:unavailable={unavailable} class:disabled={disabled} class:ignored={ignored} class:text-grijs-4={unavailable}
      on:click={onClick}
>
    <span class="inline-block animate-unavailable-hidden h-6 w-6 mr-1">
        {#if ignored}
            <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' aria-hidden="true" focusable="false"
                 class="h-6 w-6">
                <circle fill="none" stroke="#e17000" stroke-width="2" r="6" cx="8" cy="8"/>
                <line x1="4" y1="4" x2="12" y2="12" stroke-width="2" stroke="#e17000"/>
            </svg>
        {:else}
            <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' aria-hidden="true" focusable="false"
                 class="h-6 w-6">
                <path fill='none' stroke="#01689b" stroke-width='2' d='M3 7.5L7 11L13.5 4'/>
            </svg>
        {/if}
    </span>

    {#if value}
        <span class="mx-1">{value}</span>
    {:else}
        <span class="mx-1 italic text-grijs-4">empty</span>
    {/if}

    {#if n !== undefined}
        <span class="text-xs mx-1">({n})</span>
    {/if}
</span>

<style>
    .animate-unavailable-hidden {
        overflow: hidden;
        transition: all 0.2s linear;
    }

    .unavailable .animate-unavailable-hidden {
        width: 0;
        margin-left: 0;
        margin-right: 0;
    }

    .value:not(.disabled):not(.unavailable) {
        cursor: pointer;
    }
</style>
